#include <iostream>
#include <cmath>
#include <algorithm>
using namespace std;
string s[5];
bool cmp(string a,string b){
    return a>b;
}
int main(){
    cin>>s[1]>>s[2]>>s[3];
    sort(s+1,s+1+3,cmp);
    cout<<s[1]<<s[2]<<s[3];
return 0;
}